#!/bin/bash

#install tracebox and scapy
apt-get -y install sshpass python-scapy

if tracebox ; then

echo "tracebox already installed!"

else

apt-get -y install automake libtool  libpcap-dev  lua-ldoc libnetfilter-queue-dev autotools-dev autoconf gcc g++ make liblua5.1-0-dev libjson-c-dev liblua50-dev liblualib50-dev

git clone https://github.com/tracebox/tracebox

cd tracebox

./bootstrap.sh
./bootstrap.sh

./configure

make

make install

cd ..

rm -r tracebox

fi

#create a partition to save the results

BASEDIR=/experiments

function mk_disk {
mkdir -p $BASEDIR/$1
if mountpoint -q $BASEDIR/$1; then
echo "$1 outdir is mounted."
else
MNTPNT=""
if [ -b /dev/vg-monroe/cont-$1 ]; then
echo "logical volume exists on vg-monroe";
MNTPNT=/dev/vg-monroe/cont-$1
elif [ -b /dev/Monroe-X-vg/cont-$1 ]; then
echo "logical volume exists on Monroe-X-vg (deprecated)";
MNTPNT=/dev/Monroe-X-vg/cont-$1
else
mkdir -p $BASEDIR/$1
if [ $(lvcreate -L 100M vg-monroe -n cont-$1) ]; then
MNTPNT=/dev/vg-monroe/cont-$1
elif [ $(lvcreate -L 100M Monroe-X-vg -n cont-$1) ]; then
MNTPNT=/dev/Monroe-X-vg/cont-$:w1
else
if [ ! -f $BASEDIR/$1.disk ]; then
dd if=/dev/zero of=$BASEDIR/$1.disk bs=100000000 count=1
fi
MNTPNT=$BASEDIR/$1.disk
fi
fi;
if [ -z "$(file -sL $MNTPNT | grep ext4)" ]; then
mkfs.ext4 $MNTPNT -F -L $1
fi
mount -t ext4 $MNTPNT $BASEDIR/$1
fi
}

NODEID=$(cat /etc/nodeid)
mk_disk ECN_$NODEID

#run all tests and save the results in $BASEDIR/ECN_$NODEID

./run.sh $BASEDIR/ECN_$NODEID



