#!/bin/bash

NODEID=$(cat /etc/nodeid)
# change here to also check for "modemName": "MC7455" if there are no MiFis

if_found=0

for modem in MC7455 MC7304 MF910
do
case $modem in
"MC7455") IF_S=$(curl -s http://localhost:88/modems | jq -r  '.[] | select(.modemName=="MC7455") |  .ifname') ;;
"MF910")  IF_S=$(curl -s http://localhost:88/modems | jq -r  '.[] | select(.modemName=="MF910") |  .ifname') ;;
"MC7304") IF_S=$(curl -s http://localhost:88/modems | jq -r  '.[] | select(.modemName=="MC7304") |  .ifname') ;;
esac

for IF in $IF_S; do
if_found=1

echo "Interface: " $IF
# add default route here
ip ro del default
ip ro add $(ip ro sh table all | grep "default" | grep $IF | awk '{print $1, $2, $3, $4, $5}' | tail -1)
./run80.sh $IF $1
./run443.sh $IF $1
./runget80.sh $IF $1
./runget443.sh $IF $1
sleep 30m
pkill script80.sh
pkill script443.sh
pkill scriptget80.sh
pkill scriptget443.sh
./runack80.sh $IF $1
./runack443.sh $IF $1
./runfin80.sh $IF $1
./runfin443.sh $IF $1
sleep 30m
pkill scriptack80.sh
pkill scriptack443.sh
pkill scriptfin80.sh
pkill scriptfin443.sh
# delete default route here
ip ro del default
done;
done;

if [ $if_found == 0 ]; then
echo "No interfaces available."
exit
fi

lvremove -f  $(lvdisplay | grep "ECN_[1-9]"| grep "Path" | awk '{print $3}')
apt-get purge sshpass automake libtool  libpcap-dev libjson0 libjson0-dev lua-ldoc libnetfilter-queue-dev autotools-dev autoconf gcc g++ make liblua5.1-0-dev liblua50-dev liblualib50-dev python-scapy

